import { F as FrameActionBodyPayload, a as FrameContext, S as SignerStateActionContext, b as SignedFrameAction, c as SignFrameActionFunc } from './types-CH60H6Gq.js';
export { H as ButtonPressFunction, I as CastActionButtonPressFunction, K as CastActionRequest, J as ComposerActionButtonPressFunction, L as ComposerActionRequest, M as FetchFrameFunction, r as FrameGETRequest, s as FramePOSTRequest, E as FrameReducerActions, t as FrameRequest, u as FrameStackBase, y as FrameStackDone, z as FrameStackDoneRedirect, w as FrameStackGetPending, B as FrameStackMessage, x as FrameStackPending, v as FrameStackPostPending, A as FrameStackRequestError, N as FrameState, R as FrameTheme, D as FramesStack, C as FramesStackItem, G as GetFrameResult, h as OnComposeFormActionFuncReturnType, i as OnComposerFormActionFunc, j as OnConnectWalletFunc, P as OnMintArgs, g as OnMissingSignerFunction, e as OnSignatureArgs, f as OnSignatureFunc, O as OnTransactionArgs, d as OnTransactionFunc, p as SignFrameActionFunction, m as SignerStateDefaultActionContext, q as SignerStateInstance, n as SignerStateTransactionDataActionContext, o as SignerStateTransactionPostActionContext, k as UseFetchFrameOptions, U as UseFetchFrameSignFrameActionFunction, l as UseFrameOptions, Q as themeParams } from './types-CH60H6Gq.js';
import * as _farcaster_core from '@farcaster/core';
import { SignerStateComposerActionContext, SignerStateCastActionContext, SignComposerActionFunction, SignCastActionFunction } from './unstable-types.js';
export { createCastActionMessageWithSignerKey, createComposerActionMessageWithSignerKey, createFrameActionMessageWithSignerKey, signCastAction, signComposerAction, signFrameAction, unsignedFrameAction } from './farcaster/frames.js';
import { FarcasterSigner } from './farcaster/signers.js';
export { FarcasterSignerApproved, FarcasterSignerImpersonating, FarcasterSignerPendingApproval, FarcasterSignerState, mockFarcasterSigner } from './farcaster/signers.js';
export { attribution } from './farcaster/attribution.js';
import { FarcasterFrameContext } from './farcaster/types.js';
export { fallbackFrameContext } from './identity/farcaster/use-farcaster-context.js';
export { FrameUI, FrameUIProps, defaultTheme } from './frame-ui.js';
export { CollapsedFrameUI, CollapsedFrameUIProps } from './collapsed-frame-ui.js';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import './identity/types.js';
import './hooks/use-visibility-detection.js';

declare const farcaster: {
    createComposerActionMessageWithSignerKey(signerKey: string, { fid, state, url }: SignerStateComposerActionContext): Promise<{
        message: _farcaster_core.FrameActionMessage;
        trustedBytes: string;
    }>;
    createCastActionMessageWithSignerKey(signerKey: string, { fid, castId, postUrl }: SignerStateCastActionContext): Promise<{
        message: _farcaster_core.FrameActionMessage;
        trustedBytes: string;
    }>;
    createFrameActionMessageWithSignerKey(signerKey: string, { fid, url, buttonIndex, castId, inputText, state, address, transactionId, }: {
        fid: number;
        url: Uint8Array;
        buttonIndex: number;
        inputText: Uint8Array | undefined;
        castId: _farcaster_core.CastId;
        state: Uint8Array | undefined;
        address: Uint8Array | undefined;
        transactionId: Uint8Array | undefined;
    }): Promise<{
        message: null;
        trustedBytes: null;
    } | {
        message: _farcaster_core.FrameActionMessage | null;
        trustedBytes: string;
    }>;
    unsignedFrameAction<TSignerStorageType = Record<string, unknown>, TFrameActionBodyType extends FrameActionBodyPayload = FrameActionBodyPayload, TFrameContextType extends FrameContext = FarcasterFrameContext>(actionContext: SignerStateActionContext<TSignerStorageType, TFrameContextType>): Promise<SignedFrameAction<TFrameActionBodyType>>;
    signComposerAction: SignComposerActionFunction;
    signCastAction: SignCastActionFunction;
    signFrameAction: SignFrameActionFunc<FarcasterSigner, FrameActionBodyPayload, FarcasterFrameContext>;
    mockFarcasterSigner: FarcasterSigner;
};
/** don't export use-frame from here, as it's a client component */

export { FarcasterFrameContext, FarcasterSigner, FrameActionBodyPayload, FrameContext, SignFrameActionFunc, SignedFrameAction, SignerStateActionContext, farcaster };
